Module jdk.jdi
Package com.sun.jdi.connect

# Interface Connector.StringArgument

All Superinterfaces:
  `Connector.Argument`, `Serializable`

Enclosing interface:
  Connector

    public static interface Connector.StringArgument
    extends Connector.Argument

Specification for and value of a Connector argument, whose value is a String.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `isValid​(String value)` | Performs basic sanity check of argument.

### Methods declared in interface com.sun.jdi.connect.Connector.Argument

`description, label, mustSpecify, name, setValue, value`

## Method Details

### isValid

boolean isValid​(String value)
Performs basic sanity check of argument.

Specified by:
  `isValid` in interface `Connector.Argument`
Returns:
  `true` always